Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Help Needed Please

Discussion in 'Phantom 4 Help' started by Rob1962, Feb 16, 2017.

  1. Rob1962

    Joined:
    Aug 24, 2016
    Messages:
    156
    Likes Received:
    24
    Location:
    Long Island New York
    Ok so forced to install new Go App,Now App starts and say unfortunately go stopped now should i just uninstall app?
     
  2. AWD

    AWD

    Joined:
    Oct 2, 2016
    Messages:
    328
    Likes Received:
    136
    Location:
    Punta Gorda, Florida
    Can we assume that you've rebooted your device (phone or tablet) after the update?

    AD
     
  3. Rob1962

    Joined:
    Aug 24, 2016
    Messages:
    156
    Likes Received:
    24
    Location:
    Long Island New York
    Yes 2 x
     
  4. Rob1962

    Joined:
    Aug 24, 2016
    Messages:
    156
    Likes Received:
    24
    Location:
    Long Island New York
    also Orange banner says needs updating but can do that cause the app shuts down.
     
  5. Rob1962

    Joined:
    Aug 24, 2016
    Messages:
    156
    Likes Received:
    24
    Location:
    Long Island New York
    Shame never had an issue with the old app 69 flawless flights,Even after this is resolved i will worry.
     
  6. bungrudi

    Joined:
    Feb 16, 2017
    Messages:
    38
    Likes Received:
    12
    Location:
    Tangerang Selatan, Indonesia
    iOS or Android, which version?
     
  7. Rob1962

    Joined:
    Aug 24, 2016
    Messages:
    156
    Likes Received:
    24
    Location:
    Long Island New York
    Android. App shuts down as soon as i connect my P4.
     
  8. Rob1962

    Joined:
    Aug 24, 2016
    Messages:
    156
    Likes Received:
    24
    Location:
    Long Island New York
     
  9. Rob1962

    Joined:
    Aug 24, 2016
    Messages:
    156
    Likes Received:
    24
    Location:
    Long Island New York
    App version 3.1.3
     
  10. Rob1962

    Joined:
    Aug 24, 2016
    Messages:
    156
    Likes Received:
    24
    Location:
    Long Island New York
    Must i update aircraft also?
     
  11. bungrudi

    Joined:
    Feb 16, 2017
    Messages:
    38
    Likes Received:
    12
    Location:
    Tangerang Selatan, Indonesia
    I had newly updated Litchi crashed before on older aircraft firmware (1.09 IIRC). I updated aircraft firmware to 1.10 and everything was good. It could be the case that the app was trying to call firmware functions that is not available in earlier firmware.
    So yes, I think that is the first route you need to try.
     
  12. Rob1962

    Joined:
    Aug 24, 2016
    Messages:
    156
    Likes Received:
    24
    Location:
    Long Island New York
    How can i update aircraft if App shuts down.Oh by the way thanks for your response.
     
  13. bungrudi

    Joined:
    Feb 16, 2017
    Messages:
    38
    Likes Received:
    12
    Location:
    Tangerang Selatan, Indonesia
  14. Rob1962

    Joined:
    Aug 24, 2016
    Messages:
    156
    Likes Received:
    24
    Location:
    Long Island New York
    Update says 3.1.3
     
  15. Rob1962

    Joined:
    Aug 24, 2016
    Messages:
    156
    Likes Received:
    24
    Location:
    Long Island New York
    My other app was what i installed from November last year.
     
  16. bungrudi

    Joined:
    Feb 16, 2017
    Messages:
    38
    Likes Received:
    12
    Location:
    Tangerang Selatan, Indonesia
    There are now 2 different DJI GO app,
    This one for Phantom 4 and up: DJI GO 4--For drones since P4 - Android Apps on Google Play
    This one for older Phantoms: DJI GO--For products before P4 - Android Apps on Google Play

    There used to only 1 DJI GO app, which is the latter and the one you probably have in your tablet. Since sometime last year they rolled out another DJI GO, completely different app for P4 and up.
    Since February, DJI officially stopped support for P4 in older DJI GO (which you currently have) and require P4 flyers to use DJI GO 4.

    So try to download the DJI GO 4 first and see from there.
    Search DJI GO 4 in play store or click the first link above in your tablet.

    Edit: to make things even more difficult, if you are using android 6 and dont want to uninstall old DJI GO then you need to "clear default app".
    slide down the top menu -> open the setting screen by tapping the gear icon -> go to Default Applications -> go to Set as Defaults -> go to DJI GO -> tap CLEAR DEFAULTS .
    Reconnect the cable from tablet to RC, android will ask for default app to run, choose DJI GO 4.
     
    #16 bungrudi, Feb 16, 2017
    Last edited: Feb 16, 2017
    RémyHeli likes this.
  17. Rob1962

    Joined:
    Aug 24, 2016
    Messages:
    156
    Likes Received:
    24
    Location:
    Long Island New York
    All good now thank you to all who responded.
     
Loading...
Similar Threads - Help Needed Please Forum Date
Dumb Gimbal question,help needed, Please Zenmuse H3-2D GoPro Gimbal Jan 2, 2016
help needed please Phantom 2 Discussion Dec 11, 2014
Help Please - What cables are needed? Zenmuse H3-3D/H4-3D GoPro Gimbal Nov 3, 2014
Professional Help Needed in Palm Coast Florida Phantom 3 Help Apr 9, 2017
Help needed - No Video Standard/4k Discussion Mar 26, 2017